VisualEditor: Change tab order in save dialog to be more like the wikitext editor's save form
Closed, ResolvedPublic

Description

Cloning from bug 50897 comment 2:

In the old editor, I would simply use TAB to reach the edit summary, type my
edit summary and press ENTER to activate the "Save page" button and save. If I
wanted to mark the edit minor, then I could type my edit summary, press TAB,
SPACE, and then ENTER to "Save page".

I can see that the new box for entering an edit summary allows newlines to be
entered. I am not sure this is a good idea, because I just used a WSYIWYG
editor and now "What I see" - well-formatted paragraphs describing my edit - is
not going to be "what I get" - everything smashed on one line in the article
history. But that is perhaps grist for another bug mill.

It seems that the "Save page" button never receives caret focus if I use TAB to
try to get there. This would seem to have accessibility ramifications.


Version: unspecified
Severity: minor

bzimport set Reference to bz51918.
MZMcBride created this task.Via LegacyJul 24 2013, 1:48 AM
MZMcBride added a comment.Via ConduitJul 24 2013, 1:50 AM

Yeah, VisualEditor is kind of disruptive in this way. I'd like some further thought here.

jayvdb added a comment.Via ConduitJul 24 2013, 1:53 AM

That is an enhancement MZMcBride.

  • This bug has been marked as a duplicate of bug 50047 ***
Jdforrester-WMF added a comment.Via ConduitJul 26 2013, 11:20 PM
  • Bug 52080 has been marked as a duplicate of this bug. ***
Thryduulf added a comment.Via ConduitAug 2 2013, 9:28 AM

There has been a slight change to this recently but it is still wrong.

Current behaviour: Pressing tab from the summary box leads to the minor edit link
Desired behaviour: It should lead to the minor edit checkbox (not the link)

Thryduulf added a comment.Via ConduitAug 16 2013, 8:53 AM

Dcoetzee at en.wp reports that the tab order differs in different browsers, and that at a certain point in firefox the focus gets stuck and neither tab nor shift-tab can move it.

The full comment is below:

"On Chrome Version 28.0.1500.95 m on Windows 7 x64: It starts in the edit summary field, goes to the "minor edit" link (not the checkbox), then the Save page button, then the Review your changes button (moving right to left), then the three links in the small text at the bottom, then the address bar, then the Search box, then the minor edit checkbox, then the "Interactions" menu drop down on the left sidebar (???), then the Watch this page checkbox. If I use SHIFT+TAB it goes to Edit summary link, then jumps straight to the Mediawiki logo way in the bottom right.

On Firefox 22.0 and 23.0 on Windows 7 x64: It starts in the edit summary field, goes to the "minor edit" link (not the checkbox), then the Save page button, then thereafter neither TAB nor SHIFT+TAB do anything (focus is stuck - this is a serious problem as it may require reloading the page and losing edits). SHIFT+TAB is same as in Chrome.

Conventionally, tab order is supposed to go in a logical reading order: left-to-right, top-to-bottom. My expected order was something like this:

Starts in edit summary field, goes to minor edit checkbox, then minor edit link, then Watch this page checkbox, then Review your changes button, then Save page button, then the three links at the bottom. If I use SHIFT+TAB to tab backwards, I expect to visit the Edit summary link, then (if possible) the arrow to collapse/abort the Save, then the Search box."
Jdforrester-WMF added a comment.Via ConduitSep 3 2013, 10:26 PM
  • Bug 53257 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitSep 4 2013, 8:13 PM

Change 81876 had a related patch set uploaded by Jforrester:
Make the save dialog an actual dialog

https://gerrit.wikimedia.org/r/81876

gerritbot added a comment.Via ConduitOct 7 2013, 11:01 PM

Change 81876 merged by jenkins-bot:
Make the save dialog an actual dialog

https://gerrit.wikimedia.org/r/81876

Jdforrester-WMF added a comment.Via ConduitOct 7 2013, 11:04 PM

The fix for this is now merged and will be deployed on Thursday 10 October to MediaWiki.org, and to Wikipedias on Thursday 17 October.

Jdforrester-WMF added a comment.Via ConduitApr 21 2014, 5:42 PM
  • Bug 53257 has been marked as a duplicate of this bug. ***
LuisVilla added a comment.Via ConduitMay 20 2014, 7:56 PM

This is broken (again?) The three license links come up before the action buttons (and save page never comes up, but that is bug 50047 I think?)

Jdforrester-WMF added a comment.Via ConduitMay 20 2014, 9:05 PM

(In reply to Luis Villa (personal-for work use lvilla@wikimedia.org) from comment #11)

This is broken (again?) The three license links come up before the action
buttons (and save page never comes up, but that is bug 50047 I think?)

Was going to re-open, but because it's a browser-specific issue I've instead opened bug 65554 to get this fixed.

LuisVilla added a comment.Via ConduitMay 20 2014, 9:28 PM

At least for me, this is not browser-specific: I get the problem in both Chrome and FFox. (The other problem is, I agree, browser-specific.)

Add Comment